#ifndef _SPHO_BIND_H
#define _SPHO_BIND_H

#include <sys/queue.h>

#include "spho/scope.h"

struct spho_binding {
	struct spho_nom		*nom;
	struct spho_tp		*tp;

	STAILQ_ENTRY(spho_binding)	entries;
};

struct spho_bind {
	STAILQ_HEAD(spho_binding_l, spho_binding)	head;

	struct spho_ctx		*ctx;
	struct spho_bind	*parent;
};


struct spho_bind *spho_bind_create(struct spho_ctx *, struct spho_bind *);

int spho_bind_add(struct spho_bind *, struct spho_nom *, struct spho_tp *);

void spho_bind_destroy(struct spho_bind *);

#endif
